# $Id: apparmor-docs.spec.in 180 2006-10-31 16:49:36Z steve-beattie $
# ----------------------------------------------------------------------
#    Copyright (c) 2004, 2005 NOVELL (All rights reserved)
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of version 2 of the GNU General Public
#   License published by the Free Software Foundation.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, contact Novell, Inc.
# ----------------------------------------------------------------------
# SUSE packaging macros:
# norootforbuild

# Ugh, old versions of rpm are broken wrt nested if-else statements,
# so check first each time to see if distro is already defined.
%if ! %{?distro:1}0 
    %define distro unknown
%endif

Summary:	Novell AppArmor Host Application Security Suite Documentation package
Name:		apparmor-docs
Version:        2.0.1
Release:	237
Group:		Applications/System
Source0:	%{name}-%{version}-237.tar.gz
License:	Other License(s), see package
BuildRoot:	/var/tmp/%{name}-root
Url:		http://forge.novell.com/modules/xfmod/project/?apparmor
Group:		Applications/System
BuildArch:	noarch
Obsoletes:	subdomain-docs
Provides:	subdomain-docs

%description
This package contains documentation for the AppArmor Host Application
Security Suite.
This package is part of a suite of tools that used to be named SubDomain.

%prep
%setup -q

%build
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make all
	
%install
# build directories
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install_manpages DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}

%files 
%defattr(-,root,root)

# the documentation
%{_mandir}/man2/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_mandir}/man8/*
# html versions of the manpages
%doc *.[0-9].*html
%doc immunix.css

%changelog
* Tue Apr 11 2006 Steve Beattie <sbeattie@use.de>
- push to novell forge svn (resets repo number alas)
- eliminate unnecessary licenses and binary documents 
* Thu Feb 16 2006 Dominic Reynolds <dreynolds@suse.de> 2.0-3.4
- Updated manual from doc group - includes new naming changes.
* Mon Jan 30 2006 Steve Beattie <sbeattie@suse.de> 2.0-3.2
- Add manpage for mod_apparmor
- Update change_hat(2) manpage for renamed header/library
- Update other documents to reflect subdomain->apparmor
- Rename manpages, add compatibility symlinks
* Thu Jan  5 2006 Steve Beattie <sbeattie@suse.de> 2.0-3
- Add svn repo number to tarball
* Thu Dec 8 2005 Dominic Reynolds <dreynolds@suse.de> 2.0-2
- Added admin manual from documentation group, fix rpm URL
* Wed Dec  7 2005 Steve Beattie <sbeattie@suse.de> 2.0-1
- Reset version for inclusion in SUSE autobuild
* Wed Nov 30 2005 Steve Beattie <sbeattie@suse.de> 1.99-8
- Rename package to apparmor-docs
* Mon Nov 28 2005 Seth Arnold <seth.arnold@suse.de> 1.99-7_imnx
- keep only licenses and manpages; pdfs removed
* Mon Jul 18 2005 Steve Beattie <sbeattie@novell.com> 1.99-6_imnx
- Include missing pdf documents.
* Mon Jul 11 2005 Seth Arnold <seth.arnold@suse.de> 1.99-5_imnx
- ensure AppArmor is in all man -k listings
* Mon Mar 28 2005 Seth Arnold <sarnold@immunix.com> 1.99-4_imnx
- Update COPYING, include a copy of the GPL
* Thu Mar 24 2005 Steve Beattie <steve@immunix.com> 1.99-3_imnx
- Generate html versions of the manpages.
* Tue Mar  9 2005 Steve Beattie <steve@immunix.com> 1.99-2_imnx
- Update for the new location of subdomain.conf
* Wed Feb  9 2005 Steve Beattie <steve@immunix.com> 1.99-1_imnx
- Add a manpage for subdomain.conf
- Reversion for 2.0 branch
* Fri Nov  5 2004 Steve Beattie <steve@immunix.com> 1.2-3_imnx
- whole bunch of cleanup to support building slack packages.
* Wed Oct 13 2004 Steve Beattie <steve@immunix.com> 1.2-2_imnx
- Minor update to change_hat manpage.
* Tue Oct 12 2004 Steve Beattie <steve@immunix.com> 1.2-1_imnx
- Reset version after shass-1.1 branched off
* Tue Aug 31 2004 Steve Beattie <steve@immunix.com> 7.3-24_imnx
- Fixup copyright statements.
* Wed Jul 21 2004 Steve Beattie <steve@immunix.com> 7.3-23_imnx
- add base support for cross-distro builds
